LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05496Bug reports[All Projects] Otherpublic2011-10-06 17:152012-03-14 21:08
ReporterEddie_V 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00a1 
Summary05496: default mininum year for a date question
Descriptionin qanda.php the minimal year for a date question is different if you set Display dropdown boxes to NO (default) $yearmin is set to 1980. If you set Display dropdown boxes to YES then $yearmin is set to 1900.

might be confusing for users.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID10746
Browser
Database & DB-Versionmysql
Operating System (Server)opensuse
Webserver software & versionapache2
PHP Version5something
Attached Files

- Relationships

-  Notes
User avatar (16378)
c_schmitz (administrator)
2011-10-08 22:03

What behaviour would you expect? Both 1980?
User avatar (16382)
Eddie_V (reporter)
2011-10-10 08:44

well atleast both the same ofcourse. I lowered them anyway since we use the date question alot for day of birth.

I think that the standard date question should hold a large range so both 1900 to start. Cause users dont think about the range, only when they want a date that is set in the future of in the last 10 years and then they will use the attributes.
User avatar (16404)
Mazi (developer)
2011-10-12 14:19

Eddie, can you check if this patch for the Limesurvey 2.0 branch would solve the problem: http://limesurvey.svn.sourceforge.net/viewvc/limesurvey?view=revision&revision=11142 [^] ?!
User avatar (16417)
Eddie_V (reporter)
2011-10-14 11:19

Mazi, I think the two are unrelated. as I see it that patch works that the minyear is starting from january 1 and the max date ending at december 31. both comming from the array range. but if you have 2 seperate positions where you can fill the array, the difference is still in place.
User avatar (16534)
c_schmitz (administrator)
2011-10-26 18:28

New version released

- Related Changesets
LimeSurvey: Yii 50b2aed0
Timestamp: 2011-10-18 09:48:48
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 05496: default mininum year for a date question different in dropdown and popup version

git-svn-id: file:///Users/Shitiz/Downloads/lssvn/source/limesurvey_ci@11197 [^] b72ed6b6-b9f8-46b5-92b4-906544132732
mod - application/helpers/qanda_helper.php Diff ] File ]
mod - application/models/users_model.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-10-06 17:15 Eddie_V New Issue
2011-10-08 22:03 c_schmitz Note Added: 16378
2011-10-08 22:03 c_schmitz Assigned To => c_schmitz
2011-10-08 22:03 c_schmitz Status new => feedback
2011-10-10 08:44 Eddie_V Note Added: 16382
2011-10-10 08:44 Eddie_V Status feedback => assigned
2011-10-12 14:19 Mazi Note Added: 16404
2011-10-12 14:19 Mazi Status assigned => feedback
2011-10-14 11:19 Eddie_V Note Added: 16417
2011-10-14 11:19 Eddie_V Status feedback => assigned
2011-10-18 18:47 c_schmitz Status assigned => resolved
2011-10-18 18:47 c_schmitz Fixed in Version => 2.00a1
2011-10-18 18:47 c_schmitz Resolution open => fixed
2011-10-26 18:28 c_schmitz Note Added: 16534
2011-10-26 18:28 c_schmitz Status resolved => closed
2012-03-14 21:08 c_schmitz Changeset attached => Import 2012-03-09 13:30:34 Yii 50b2aed0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker